import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        ref?: HTMLInputElement;
        value?: string;
        name?: string;
        type?: 'text' | 'password' | 'email' | 'tel' | 'url';
        hideLabel?: boolean;
        label?: string;
        placeholder?: string;
        description?: string;
        autocomplete?: string;
        invalidText?: string;
        warningText?: string;
        disabled?: boolean;
        required?: boolean;
        invalid?: boolean;
        warning?: boolean;
    };
    events: {
        click: MouseEvent;
        mouseover: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        change: Event;
        input: Event;
        focus: FocusEvent;
        blur: FocusEvent;
        paste: ClipboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        'input-icon': {};
    };
};
export declare type TextInputProps = typeof __propDef.props;
export declare type TextInputEvents = typeof __propDef.events;
export declare type TextInputSlots = typeof __propDef.slots;
export default class TextInput extends SvelteComponentTyped<TextInputProps, TextInputEvents, TextInputSlots> {
}
export {};
